Skip to content

Generate PDF Report

POST
/api/pdf-reports/generate

Generate a PDF report based on astrology calculations

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
  
"reportType": "string",
  
"templateId": "string",
  
"subject": {
  
  
"name": "string",
  
  
"birthDate": {
  
  
  
"year": 0,
  
  
  
"month": 0,
  
  
  
"day": 0,
  
  
  
"hour": 0,
  
  
  
"minute": 0
  
  
},
  
  
"birthPlace": {
  
  
  
"name": "string",
  
  
  
"latitude": 0,
  
  
  
"longitude": 0,
  
  
  
"timezone": "string"
  
  
}
  
},
  
"partner": {
  
  
"name": "string",
  
  
"birthDate": {
  
  
  
"year": 0,
  
  
  
"month": 0,
  
  
  
"day": 0,
  
  
  
"hour": 0,
  
  
  
"minute": 0
  
  
},
  
  
"birthPlace": {
  
  
  
"name": "string",
  
  
  
"latitude": 0,
  
  
  
"longitude": 0,
  
  
  
"timezone": "string"
  
  
}
  
},
  
"transitDate": {
  
  
"year": 0,
  
  
"month": 0,
  
  
"day": 0,
  
  
"hour": 0,
  
  
"minute": 0
  
}
}

Responses

Generated PDF file

application/pdf

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation